// lstcount.cpp -- A list class that counts listed items

#include <iostream.h>
#include <item.h>
#include <list.h>

class listCount : public list {
  private:
    unsigned int itemCount;
  public:
    listCount() 
      { itemCount = 0; }
    item *insertItem(item *ip);
    item *removeItem(item *ip);
    unsigned int getCount(void) 
      { return itemCount; }
};

main()
{
  listCount *lcp = new listCount;

  cout << "\nBefore insertions count == " << lcp->getCount();
  lcp->insertItem(new item);
  lcp->insertItem(new item);
  lcp->insertItem(new item);
  cout << "\nAfter 3 insertions count == " << lcp->getCount();
  lcp->removeItem(lcp->currentItem());
  cout << "\nAfter 1 deletion count == " << lcp->getCount();
}

item * listCount::insertItem(item *ip)
{
  itemCount++;
  return list::insertItem(ip);
}

item * listCount::removeItem(item *ip)
{
  itemCount--;
  return list::removeItem(ip);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 12/05/1990   Time: 04:42 pm

// Revision 1.01    Date: 07/08/1991   Time: 05:41 pm
// Converted for Borland C++ 2.0

